Package com.independentsoft.office.word.tables

# Class TableStyleConditionalFormattingProperties

java.lang.Object
com.independentsoft.office.word.tables.TableStyleConditionalFormattingProperties

public class TableStyleConditionalFormattingProperties extends Object
The Class TableStyleConditionalFormattingProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableStyleConditionalFormattingProperties()`
  Instantiates a new table style conditional formatting properties.
  `TableStyleConditionalFormattingProperties​(InternalXMLStreamReader reader)`
  Instantiates a new table style conditional formatting properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableStyleConditionalFormattingProperties`
  `clone()`
  `CellProperties`
  `getCellProperties()`
  Gets the cell properties.
  `ParagraphProperties`
  `getParagraphProperties()`
  Gets the paragraph properties.
  `RowProperties`
  `getRowProperties()`
  Gets the row properties.
  `RunProperties`
  `getRunProperties()`
  Gets the run properties.
  `TableProperties`
  `getTableProperties()`
  Gets the table properties.
  `TableStyleConditionalFormattingType`
  `getType()`
  Gets the type.
  `void`
  `setType​(TableStyleConditionalFormattingType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableStyleConditionalFormattingProperties

    public TableStyleConditionalFormattingProperties()
    Instantiates a new table style conditional formatting properties.

  - ### TableStyleConditionalFormattingProperties

    public TableStyleConditionalFormattingProperties​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new table style conditional formatting properties.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public TableStyleConditionalFormattingProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getType

    public TableStyleConditionalFormattingType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(TableStyleConditionalFormattingType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getParagraphProperties

    public ParagraphProperties getParagraphProperties()
    Gets the paragraph properties.
    Returns:
      the paragraph properties

  - ### getRunProperties

    public RunProperties getRunProperties()
    Gets the run properties.
    Returns:
      the run properties

  - ### getTableProperties

    public TableProperties getTableProperties()
    Gets the table properties.
    Returns:
      the table properties

  - ### getRowProperties

    public RowProperties getRowProperties()
    Gets the row properties.
    Returns:
      the row properties

  - ### getCellProperties

    public CellProperties getCellProperties()
    Gets the cell properties.
    Returns:
      the cell properties